## codequery 0.16.0+dfsg1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(CodeQuery)


option(BUILD_QT5 OFF)


IF(MSVC)
ADD_DEFINITIONS(/D _CRT_SECURE_NO_WARNINGS)
ELSE(MSVC)
SET( CMAKE_CXX_FLAGS  "-O2 -Wno-unused-result" )
SET( CMAKE_CXX_FLAGS_DEBUG  "-O2 -Wno-unused-result" )
SET( CMAKE_CXX_FLAGS_RELEASE  "-O2 -Wno-unused-result" )
ENDIF(MSVC)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmakefind/")

set( EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR} )

INCLUDE_DIRECTORIES( "../makedb" )
set( OPTLISTLIB_SRCS makedb/optlist.cpp )
add_library( optlist_lib STATIC ${OPTLISTLIB_SRCS} )

add_subdirectory( "querylib" )
add_subdirectory( "makedb" )
add_subdirectory( "cli" )
add_subdirectory( "showgraph" )
add_subdirectory( "gui" )

if (UNIX)

  if( CMAKE_SIZEOF_VOID_P EQUAL 8 )
    set( CPACK_DEBIAN_PACKAGE_ARCHITECTURE "amd64" )
    set( CPACK_RPM_PACKAGE_ARCHITECTURE "x86_64" )
  else( CMAKE_SIZEOF_VOID_P EQUAL 8 )
    set( CPACK_DEBIAN_PACKAGE_ARCHITECTURE "i386" )
    set( CPACK_RPM_PACKAGE_ARCHITECTURE "i686" )
  endif( CMAKE_SIZEOF_VOID_P EQUAL 8 )


set( CPACK_GENERATOR "DEB;RPM;TGZ")
set( CPACK_PACKAGE_NAME "codequery" )
set( CPACK_PACKAGE_VERSION  "0.16.0" )
set( CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}-Linux-${CPACK_DEBIAN_PACKAGE_ARCHITECTURE}" ) 
set( CPACK_DEBIAN_PACKAGE_DEPENDS "libqtgui4 (>= 4.8.0) , libqt4-xml (>= 4.8.0) , libsqlite3-0 (>= 3.7.0) , libqscintilla2-9 (>= 2.6.0) , cscope , exuberant-ctags")
set( CPACK_PACKAGE_DESCRIPTION_SUMMARY "Code understanding and searching tool")
set( CPACK_PACKAGE_DESCRIPTION "Code understanding and searching tool")
set( CPACK_DEBIAN_PACKAGE_SECTION "devel" )
set( CPACK_DEBIAN_PACKAGE_MAINTAINER "ruben2020 ruben2020-git@users.sourceforge.net")
set( CPACK_RPM_PACKAGE_LICENSE "GPLv3+")
set( CPACK_RPM_PACKAGE_GROUP "Development/Tools")
set( CPACK_PACKAGE_VENDOR "ruben2020")
set( CPACK_RPM_PACKAGE_REQUIRES "ruben2020 ruben2020-git@users.sourceforge.net")
set( CPACK_DEBIAN_PACKAGE_HOMEPAGE "http://ruben2020.github.io/codequery/")
set( CPACK_RPM_PACKAGE_REQUIRES "qt >= 4.8,sqlite >= 3.7,qscintilla >= 2.6,cscope,ctags")


include(CPack)

endif(UNIX)

=== cli/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(CodeQueryCLI)

#add_definitions( -Wall )

find_package(Sqlite REQUIRED)

include_directories( "." )
include_directories( "../makedb" )
include_directories( "../querylib" )
include_directories( "${SQLITE_INCLUDE_DIR}" )

set( CQSEARCH_SRCS
     main_cli.cpp
   )

add_executable( cqsearch ${CQSEARCH_SRCS} )
target_link_libraries( cqsearch ${SQLITE_LIBRARIES} small_lib optlist_lib sqlquery_lib )

install(TARGETS cqsearch RUNTIME DESTINATION bin)

=== gui/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(CodeQueryGUI)

#ADD_DEFINITIONS( -Wall )


  # with SET() command you can change variables or define new ones
  # here we define CODEQUERY_SRCS variable that contains a list of all .cpp files
  # note that we don't need \ at the end of line
  SET( CODEQUERY_SRCS
       sqlqueryadv.cpp
       std2qt.cpp
       langtable.cpp
       fileviewer.cpp
       listhandler.cpp
       searchhandler.cpp
       mainwindow.cpp
       graphdialog.cpp
       aboutdialog.cpp
       fileviewsettingsdialog.cpp
       themes.cpp
       main_gui.cpp
       winmain.cpp
  )
  
  # another list, this time it includes all header files that should be treated with moc
  SET( CODEQUERY_MOC_HDRS
       fileviewer.h
       listhandler.h
       searchhandler.h
       mainwindow.h
       graphdialog.h
       aboutdialog.h
       fileviewsettingsdialog.h
  )
  
  # some .ui files
  SET( CODEQUERY_UIS
       ui/mainWindow.ui
       ui/graphDialog.ui
       ui/aboutDialog.ui
       ui/fileViewSettingsDialog.ui
  )
  
  # and finally an resource file
  SET( CODEQUERY_RCS
       codequery.qrc
  )

  # translation files
  SET( CODEQUERY_TRANS

translations/codequery_de.ts
translations/codequery_en.ts
translations/codequery_es.ts
translations/codequery_fr.ts
translations/codequery_id.ts
translations/codequery_it.ts
translations/codequery_ja.ts
translations/codequery_ko.ts
translations/codequery_zh-CHS.ts
translations/codequery_zh-CHT.ts

  )  

  add_definitions( -DNO_QDESIGNER_WIDGET_EXPORT )
  
  INCLUDE_DIRECTORIES( "${SQLITE_INCLUDE_DIR}" )
  INCLUDE_DIRECTORIES( "${CMAKE_CURRENT_BINARY_DIR}" )
  INCLUDE_DIRECTORIES( "." )
  INCLUDE_DIRECTORIES( "./translations" )
  INCLUDE_DIRECTORIES( "../querylib" )
  INCLUDE_DIRECTORIES( "../makedb" )
  INCLUDE_DIRECTORIES( "../showgraph" )
  INCLUDE_DIRECTORIES( "/usr/local/include" )

  FIND_PACKAGE( Sqlite REQUIRED )


if (BUILD_QT5)

  
  # this command finds Qt4 libraries and sets all required variables
  # note that it's Qt4, not QT4 or qt4
  FIND_PACKAGE( Qt5Widgets 5.2.1 REQUIRED )
  FIND_PACKAGE( Qt5Core REQUIRED )
  FIND_PACKAGE( Qt5Concurrent REQUIRED )
  FIND_PACKAGE( Qt5Xml REQUIRED )
  FIND_PACKAGE( Qt5LinguistTools REQUIRED )
  FIND_PACKAGE( Qt5QScintilla REQUIRED )

  add_definitions( -DUSE_QT5 )

  set_target_properties(Qt5::Core PROPERTIES MAP_IMPORTED_CONFIG_COVERAGE "RELEASE")
  
  SET(CMAKE_AUTOMOC ON)
  SET(CMAKE_INCLUDE_CURRENT_DIR ON)

  get_target_property(QT_RCC_EXECUTABLE Qt5::rcc LOCATION)

  QT5_ADD_TRANSLATION( QM ${CODEQUERY_TRANS} )  
  
  # this command will generate rules that will run rcc on all files from CODEQUERY_RCS
  # in result CODEQUERY_RC_SRCS variable will contain paths to files produced by rcc
  # QT4_ADD_RESOURCES( CODEQUERY_RC_SRCS ${CODEQUERY_RCS} )

  SET( CODEQUERY_RC_NAME codequery )
  SET( CODEQUERY_RC_QRC "${CMAKE_CURRENT_SOURCE_DIR}/${CODEQUERY_RC_NAME}.qrc")
  SET( CODEQUERY_RC_SRCS "${CMAKE_CURRENT_BINARY_DIR}/qrc_${CODEQUERY_RC_NAME}.cxx")

  # Run the resource compiler (rcc_options should already be set). We can't
  # use QT4_ADD_RESOURCES because the qrc file may not exist yet.
  ADD_CUSTOM_COMMAND(
    OUTPUT ${CODEQUERY_RC_SRCS}
    COMMAND ${QT_RCC_EXECUTABLE}
    ARGS ${rcc_options} -name ${CODEQUERY_RC_NAME} -o ${CODEQUERY_RC_SRCS} ${CODEQUERY_RC_QRC}
    DEPENDS ${QM}
    )

  # this will run uic on .ui files:
  QT5_WRAP_UI( CODEQUERY_UI_HDRS ${CODEQUERY_UIS} )
  

  # we need this to be able to include headers produced by uic in our code
  # (CMAKE_BINARY_DIR holds a path to the build directory, while INCLUDE_DIRECTORIES() works just like INCLUDEPATH from qmake)
  INCLUDE_DIRECTORIES( "${Qt5Widgets_INCLUDE_DIRS}" )
  INCLUDE_DIRECTORIES( "${QT5QSCINTILLA_INCLUDE_DIRS}" )

if(WIN32)
  SET(CQ_WIN_RCS cqwin32.rc)
  add_executable( codequery-qt5 WIN32 ${CODEQUERY_SRCS} ${CODEQUERY_MOC_SRCS} ${CODEQUERY_RC_SRCS} ${CODEQUERY_UI_HDRS} ${QM} ${CQ_WIN_RCS} )
  target_link_libraries( codequery-qt5 Qt5::Widgets Qt5::Concurrent Qt5::WinMain ${SQLITE_LIBRARIES} ${QT5QSCINTILLA_LIBRARIES} sqlquery_lib small_lib cqshowgraph-qt5)
else()
  add_executable( codequery-qt5 ${CODEQUERY_SRCS} ${CODEQUERY_MOC_SRCS} ${CODEQUERY_RC_SRCS} ${CODEQUERY_UI_HDRS} ${QM} )
  target_link_libraries( codequery-qt5 Qt5::Widgets Qt5::Concurrent ${SQLITE_LIBRARIES} ${QT5QSCINTILLA_LIBRARIES} sqlquery_lib small_lib cqshowgraph-qt5)
endif()
  
  install(TARGETS codequery-qt5 RUNTIME DESTINATION bin)


else (BUILD_QT5)
 
  # by default only QtCore and QtGui modules are enabled
  # other modules must be enabled like this:
  #SET( QT_USE_QTXML TRUE )
  #SET( QT_USE_QTSQL TRUE )
  SET( QT_DONT_USE_QTGUI FALSE )
  
  # this command finds Qt4 libraries and sets all required variables
  # note that it's Qt4, not QT4 or qt4
  FIND_PACKAGE( Qt4 REQUIRED )
  FIND_PACKAGE( QScintilla REQUIRED )
  
  # add some useful macros and variables
  # (QT_USE_FILE is a variable defined by FIND_PACKAGE( Qt4 ) that contains a path to CMake script)
  INCLUDE( "${QT_USE_FILE}" )

  QT4_ADD_TRANSLATION( QM ${CODEQUERY_TRANS} )  
  
  # this command will generate rules that will run rcc on all files from CODEQUERY_RCS
  # in result CODEQUERY_RC_SRCS variable will contain paths to files produced by rcc
  # QT4_ADD_RESOURCES( CODEQUERY_RC_SRCS ${CODEQUERY_RCS} )


  SET( CODEQUERY_RC_NAME codequery )
  SET( CODEQUERY_RC_QRC "${CMAKE_CURRENT_SOURCE_DIR}/${CODEQUERY_RC_NAME}.qrc")
  SET( CODEQUERY_RC_SRCS "${CMAKE_CURRENT_BINARY_DIR}/qrc_${CODEQUERY_RC_NAME}.cxx")

  # Run the resource compiler (rcc_options should already be set). We can't
  # use QT4_ADD_RESOURCES because the qrc file may not exist yet.
  ADD_CUSTOM_COMMAND(
    OUTPUT ${CODEQUERY_RC_SRCS}
    COMMAND ${QT_RCC_EXECUTABLE}
    ARGS ${rcc_options} -name ${CODEQUERY_RC_NAME} -o ${CODEQUERY_RC_SRCS} ${CODEQUERY_RC_QRC}
    DEPENDS ${QM}
    )

  # this will run uic on .ui files:
  QT4_WRAP_UI( CODEQUERY_UI_HDRS ${CODEQUERY_UIS} )
  
  # and finally this will run moc:
  QT4_WRAP_CPP( CODEQUERY_MOC_SRCS ${CODEQUERY_MOC_HDRS} )


if(WIN32)
  SET(CQ_WIN_RCS cqwin32.rc)
  add_executable( codequery WIN32 ${CODEQUERY_SRCS} ${CODEQUERY_MOC_SRCS} ${CODEQUERY_RC_SRCS} ${CODEQUERY_UI_HDRS} ${QM} ${CQ_WIN_RCS} )
else()
  add_executable( codequery ${CODEQUERY_SRCS} ${CODEQUERY_MOC_SRCS} ${CODEQUERY_RC_SRCS} ${CODEQUERY_UI_HDRS} ${QM} )
endif()

  target_link_libraries( codequery ${QT_LIBRARIES} ${SQLITE_LIBRARIES} ${QSCINTILLA_LIBRARIES} sqlquery_lib small_lib cqshowgraph)
  
  install(TARGETS codequery RUNTIME DESTINATION bin)

endif (BUILD_QT5)

=== makedb/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(CodeQueryDBMaker)

#add_definitions( -Wall )

find_package(Sqlite REQUIRED)

include_directories( "." )
include_directories( "../querylib" )
include_directories( "${SQLITE_INCLUDE_DIR}" )

set( CQMAKEDB_SRCS
     sqlbase.cpp
     csdbheader.cpp
     csdbparser.cpp
     cs2sq.cpp
     ctagread.cpp
     main.cpp
   )

add_executable( cqmakedb ${CQMAKEDB_SRCS} )
target_link_libraries( cqmakedb ${SQLITE_LIBRARIES} small_lib optlist_lib)

install(TARGETS cqmakedb RUNTIME DESTINATION bin)

=== querylib/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(CodeQuery)

find_package(Sqlite REQUIRED)

include_directories( "." )
include_directories( "${SQLITE_INCLUDE_DIR}" )

set( SMALL_LIB_SRCS small_lib.cpp )
add_library( small_lib STATIC ${SMALL_LIB_SRCS} )

set( QUERY_LIB_SRCS sqlquery.cpp )
add_library( sqlquery_lib STATIC ${QUERY_LIB_SRCS} )
target_link_libraries( sqlquery_lib ${SQLITE_LIBRARIES} small_lib )

=== debian/changelog ===
codequery (0.16.0+dfsg1-4) unstable; urgency=medium

  * Use UTC time to make package reproducible.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 08 Jul 2016 16:58:51 +0800

codequery (0.16.0+dfsg1-3) unstable; urgency=medium

  * Use DEB_HOST_GNU_TYPE to set output directory. Closes: #825093

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 24 May 2016 23:18:56 +0800

codequery (0.16.0+dfsg1-2) unstable; urgency=medium

  * Use changelog date as date in manpage.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 23 May 2016 18:44:23 +0800

codequery (0.16.0+dfsg1-1) unstable; urgency=low

  * Initial release. Closes: #823023

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 06 May 2016 20:57:56 +0800

=== debian/control ===
Source: codequery
Section: devel
Priority: optional
Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Build-Depends: debhelper (>=9),
               cmake,
               libqscintilla2-dev,
               libsqlite3-dev,
               ruby-ronn,
Standards-Version: 3.9.8
Homepage: https://github.com/ruben2020/codequery
Vcs-Git: https://anonscm.debian.org/git/collab-maint/codequery.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/codequery.git

Package: codequery
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         cscope,
         exuberant-ctags,
Description: code-understanding, code-browsing or code-search tool
 This is a tool to index, then query or search C, C++, Java, Python,
 Ruby, Go and Javascript source code.
 .
 It builds upon the databases of cscope and Exuberant ctags.
 .
 The databases of cscope and ctags would be processed by the cqmakedb
 tool to generate the CodeQuery database file.
 .
 The CodeQuery database file can be viewed and queried using the
 codequery GUI tool.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DATE := $(shell date --utc --date="$$(dpkg-parsechangelog --show-field Date)" +%F)

%:
	dh $@

override_dh_auto_configure:
	cat debian/codequery.manpages | sed 's/\.1/.1.ronn/' | xargs ronn --date=$(DATE) --roff
	perl -pi -e 's/build/obj-$(DEB_HOST_GNU_TYPE)/' gui/codequery.qrc
	dh_auto_configure

override_dh_clean:
	dh_clean
	perl -pi -e 's/obj-$(DEB_HOST_GNU_TYPE)/build/' gui/codequery.qrc

## codequery 0.18.1+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,9 +17,9 @@
 
 set( EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR} )
 
-INCLUDE_DIRECTORIES( "../makedb" )
-set( OPTLISTLIB_SRCS makedb/optlist.cpp )
-add_library( optlist_lib STATIC ${OPTLISTLIB_SRCS} )
+#INCLUDE_DIRECTORIES( "../makedb" )
+#set( OPTLISTLIB_SRCS makedb/optlist.cpp )
+#add_library( optlist_lib STATIC ${OPTLISTLIB_SRCS} )
 
 add_subdirectory( "querylib" )
 add_subdirectory( "makedb" )
@@ -40,14 +40,14 @@
 
 set( CPACK_GENERATOR "DEB;RPM;TGZ")
 set( CPACK_PACKAGE_NAME "codequery" )
-set( CPACK_PACKAGE_VERSION  "0.16.0" )
+set( CPACK_PACKAGE_VERSION  "0.18.0" )
 set( CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}-Linux-${CPACK_DEBIAN_PACKAGE_ARCHITECTURE}" ) 
 set( CPACK_DEBIAN_PACKAGE_DEPENDS "libqtgui4 (>= 4.8.0) , libqt4-xml (>= 4.8.0) , libsqlite3-0 (>= 3.7.0) , libqscintilla2-9 (>= 2.6.0) , cscope , exuberant-ctags")
 set( CPACK_PACKAGE_DESCRIPTION_SUMMARY "Code understanding and searching tool")
 set( CPACK_PACKAGE_DESCRIPTION "Code understanding and searching tool")
 set( CPACK_DEBIAN_PACKAGE_SECTION "devel" )
 set( CPACK_DEBIAN_PACKAGE_MAINTAINER "ruben2020 ruben2020-git@users.sourceforge.net")
-set( CPACK_RPM_PACKAGE_LICENSE "GPLv3+")
+set( CPACK_RPM_PACKAGE_LICENSE "GPLv2+")
 set( CPACK_RPM_PACKAGE_GROUP "Development/Tools")
 set( CPACK_PACKAGE_VENDOR "ruben2020")
 set( CPACK_RPM_PACKAGE_REQUIRES "ruben2020 ruben2020-git@users.sourceforge.net")

=== cli/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
    )
 
 add_executable( cqsearch ${CQSEARCH_SRCS} )
-target_link_libraries( cqsearch ${SQLITE_LIBRARIES} small_lib optlist_lib sqlquery_lib )
+target_link_libraries( cqsearch ${SQLITE_LIBRARIES} small_lib sqlquery_lib )
 
 install(TARGETS cqsearch RUNTIME DESTINATION bin)

=== gui/CMakeLists.txt ===
--- 
+++ 
@@ -128,14 +128,14 @@
 
 if(WIN32)
   SET(CQ_WIN_RCS cqwin32.rc)
-  add_executable( codequery-qt5 WIN32 ${CODEQUERY_SRCS} ${CODEQUERY_MOC_SRCS} ${CODEQUERY_RC_SRCS} ${CODEQUERY_UI_HDRS} ${QM} ${CQ_WIN_RCS} )
-  target_link_libraries( codequery-qt5 Qt5::Widgets Qt5::Concurrent Qt5::WinMain ${SQLITE_LIBRARIES} ${QT5QSCINTILLA_LIBRARIES} sqlquery_lib small_lib cqshowgraph-qt5)
+  add_executable( codequery WIN32 ${CODEQUERY_SRCS} ${CODEQUERY_MOC_SRCS} ${CODEQUERY_RC_SRCS} ${CODEQUERY_UI_HDRS} ${QM} ${CQ_WIN_RCS} )
+  target_link_libraries( codequery Qt5::Widgets Qt5::Concurrent Qt5::WinMain ${SQLITE_LIBRARIES} ${QT5QSCINTILLA_LIBRARIES} sqlquery_lib small_lib cqshowgraph-qt5)
 else()
-  add_executable( codequery-qt5 ${CODEQUERY_SRCS} ${CODEQUERY_MOC_SRCS} ${CODEQUERY_RC_SRCS} ${CODEQUERY_UI_HDRS} ${QM} )
-  target_link_libraries( codequery-qt5 Qt5::Widgets Qt5::Concurrent ${SQLITE_LIBRARIES} ${QT5QSCINTILLA_LIBRARIES} sqlquery_lib small_lib cqshowgraph-qt5)
+  add_executable( codequery ${CODEQUERY_SRCS} ${CODEQUERY_MOC_SRCS} ${CODEQUERY_RC_SRCS} ${CODEQUERY_UI_HDRS} ${QM} )
+  target_link_libraries( codequery Qt5::Widgets Qt5::Concurrent ${SQLITE_LIBRARIES} ${QT5QSCINTILLA_LIBRARIES} sqlquery_lib small_lib cqshowgraph-qt5)
 endif()
   
-  install(TARGETS codequery-qt5 RUNTIME DESTINATION bin)
+  install(TARGETS codequery RUNTIME DESTINATION bin)
 
 
 else (BUILD_QT5)

=== makedb/CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
    )
 
 add_executable( cqmakedb ${CQMAKEDB_SRCS} )
-target_link_libraries( cqmakedb ${SQLITE_LIBRARIES} small_lib optlist_lib)
+target_link_libraries( cqmakedb ${SQLITE_LIBRARIES} small_lib )
 
 install(TARGETS cqmakedb RUNTIME DESTINATION bin)

=== querylib/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include_directories( "." )
 include_directories( "${SQLITE_INCLUDE_DIR}" )
 
-set( SMALL_LIB_SRCS small_lib.cpp )
+set( SMALL_LIB_SRCS small_lib.cpp getopt2.cpp )
 add_library( small_lib STATIC ${SMALL_LIB_SRCS} )
 
 set( QUERY_LIB_SRCS sqlquery.cpp )

=== showgraph/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(ShowGraph)

#ADD_DEFINITIONS( -Wall )


  # with SET() command you can change variables or define new ones
  # here we define SHOWGRAPH_SRCS variable that contains a list of all .cpp files
  # note that we don't need \ at the end of line
  SET( SHOWGRAPH_SRCS
./showgraph.cpp
./Utils/mem_mgr.cpp
./Utils/mem_utest.cpp
./Utils/conf.cpp
./Utils/list_utest.cpp
./Utils/utils_utest.cpp
./Utils/utils.cpp
./Utils/conf_utest.cpp
./Utils/mem_pool.cpp
./Layout/node_group.cpp
./Layout/aux_graph.cpp
./Layout/layout.cpp
./Graph/graph.cpp
./Graph/node.cpp
./Graph/edge.cpp
./GraphView/edge_item.cpp
./GraphView/style_edit.cpp
./GraphView/graph_view.cpp
./GraphView/visible_edge.cpp
./GraphView/node_item.cpp
./GraphView/edge_helper.cpp
./GraphView/navigation.cpp
  )
  
  # another list, this time it includes all header files that should be treated with moc
  SET( SHOWGRAPH_MOC_HDRS
./Layout/aux_graph.h
./GraphView/graph_view.h
./GraphView/style_edit.h
  )

  INCLUDE_DIRECTORIES( "${CMAKE_CURRENT_BINARY_DIR}" )
  INCLUDE_DIRECTORIES( "." )
  INCLUDE_DIRECTORIES( "./Graph" )
  INCLUDE_DIRECTORIES( "./GraphView" )
  INCLUDE_DIRECTORIES( "./Layout" )
  INCLUDE_DIRECTORIES( "./Utils" )
  

if (BUILD_QT5)


  # this command finds Qt4 libraries and sets all required variables
  # note that it's Qt4, not QT4 or qt4
  FIND_PACKAGE( Qt5Widgets 5.2.1 REQUIRED )
  FIND_PACKAGE( Qt5Concurrent REQUIRED )
  FIND_PACKAGE( Qt5Xml REQUIRED )

  add_definitions( -DUSE_QT5 )
  
  set_target_properties(Qt5::Core PROPERTIES MAP_IMPORTED_CONFIG_COVERAGE "RELEASE")
  
  SET(CMAKE_AUTOMOC ON)
  SET(CMAKE_INCLUDE_CURRENT_DIR ON)
  
  # this command will generate rules that will run rcc on all files from CODEQUERY_RCS
  # in result CODEQUERY_RC_SRCS variable will contain paths to files produced by rcc
  # QT4_ADD_RESOURCES( CODEQUERY_RC_SRCS ${CODEQUERY_RCS} )


  # we need this to be able to include headers produced by uic in our code
  # (CMAKE_BINARY_DIR holds a path to the build directory, while INCLUDE_DIRECTORIES() works just like INCLUDEPATH from qmake)
  INCLUDE_DIRECTORIES( "${Qt5Widgets_INCLUDE_DIRS}" )
  INCLUDE_DIRECTORIES( "${Qt5Xml_INCLUDE_DIRS}" )


  add_library( cqshowgraph-qt5 STATIC ${SHOWGRAPH_SRCS} ${SHOWGRAPH_MOC_SRCS} )
  target_link_libraries( cqshowgraph-qt5 Qt5::Widgets Qt5::Concurrent Qt5::Xml )


else (BUILD_QT5)

  
  # by default only QtCore and QtGui modules are enabled
  # other modules must be enabled like this:
  SET( QT_USE_QTXML TRUE )
  #SET( QT_USE_QTSQL TRUE )
  
  # this command finds Qt4 libraries and sets all required variables
  # note that it's Qt4, not QT4 or qt4
  FIND_PACKAGE( Qt4 REQUIRED )
  
  # add some useful macros and variables
  # (QT_USE_FILE is a variable defined by FIND_PACKAGE( Qt4 ) that contains a path to CMake script)
  INCLUDE( "${QT_USE_FILE}" )
  
  # this command will generate rules that will run rcc on all files from CODEQUERY_RCS
  # in result CODEQUERY_RC_SRCS variable will contain paths to files produced by rcc
  # QT4_ADD_RESOURCES( CODEQUERY_RC_SRCS ${CODEQUERY_RCS} )

  # and finally this will run moc:
  QT4_WRAP_CPP( SHOWGRAPH_MOC_SRCS ${SHOWGRAPH_MOC_HDRS} )

  add_library( cqshowgraph STATIC ${SHOWGRAPH_SRCS} ${SHOWGRAPH_MOC_SRCS} )
  target_link_libraries( cqshowgraph ${QT_LIBRARIES} )

endif (BUILD_QT5)

=== debian/changelog ===
codequery (0.18.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 20 Oct 2016 19:14:35 +0800

codequery (0.17.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 29 Sep 2016 19:02:21 +0800

codequery (0.16.0+dfsg1-5) unstable; urgency=medium

  * Use asciidoc instead of ronn to generate manpage.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 19 Jul 2016 00:44:51 +0800

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Build-Depends: debhelper (>=9),
+               asciidoc,
                cmake,
                libqscintilla2-dev,
                libsqlite3-dev,
-               ruby-ronn,
+               xmlto,
 Standards-Version: 3.9.8
 Homepage: https://github.com/ruben2020/codequery
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/codequery.git

## codequery 0.21.0+dfsg1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2.2)
project(CodeQuery)


option(BUILD_QT5 OFF)

SET( CMAKE_CXX_STANDARD 11 )
SET( CMAKE_CXX_STANDARD_REQUIRED ON )

IF(MSVC)
ADD_DEFINITIONS(/D _CRT_SECURE_NO_WARNINGS)
ELSE(MSVC)
SET( CMAKE_CXX_FLAGS  "-O2 -Wno-unused-result" )
SET( CMAKE_CXX_FLAGS_DEBUG  "-O2 -Wno-unused-result" )
SET( CMAKE_CXX_FLAGS_RELEASE  "-O2 -Wno-unused-result" )
ENDIF(MSVC)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmakefind/")

set( EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR} )

add_subdirectory( "querylib" )
add_subdirectory( "makedb" )
add_subdirectory( "cli" )
add_subdirectory( "scintilla/qt/ScintillaEdit" )
add_subdirectory( "showgraph" )
add_subdirectory( "gui" )



if (UNIX)

if (BUILD_QT5)

set( CPACK_PACKAGE_NAME "codequery-qt5" )
set( CPACK_DEBIAN_PACKAGE_DEPENDS "qtbase5-dev (>= 5.4.0) , libsqlite3-0 (>= 3.7.0) " )

else (BUILD_QT5)

set( CPACK_PACKAGE_NAME "codequery-qt4" )
set( CPACK_DEBIAN_PACKAGE_DEPENDS "libqtcore4 (>= 4.8.0), libqtgui4 (>= 4.8.0) , libqt4-xml (>= 4.8.0) , libsqlite3-0 (>= 3.7.0) " )

endif (BUILD_QT5)


  if( CMAKE_SIZEOF_VOID_P EQUAL 8 )
    set( CPACK_DEBIAN_PACKAGE_ARCHITECTURE "amd64" )
  else( CMAKE_SIZEOF_VOID_P EQUAL 8 )
    set( CPACK_DEBIAN_PACKAGE_ARCHITECTURE "i386" )
  endif( CMAKE_SIZEOF_VOID_P EQUAL 8 )

set( CPACK_GENERATOR "DEB;TGZ")
set( CPACK_PACKAGE_VERSION  "0.21.0" )
set( CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}-Linux-${CPACK_DEBIAN_PACKAGE_ARCHITECTURE}" ) 
set( CPACK_PACKAGE_DESCRIPTION_SUMMARY "Code understanding and searching tool")
set( CPACK_PACKAGE_DESCRIPTION "Code understanding and searching tool")
set( CPACK_PACKAGE_VENDOR "ruben2020")
set( CPACK_DEBIAN_PACKAGE_RECOMMENDS "cscope , exuberant-ctags" )
set( CPACK_DEBIAN_PACKAGE_SECTION "devel" )
set( CPACK_DEBIAN_PACKAGE_MAINTAINER "ruben2020 ruben2020-git@users.sourceforge.net")
set( CPACK_DEBIAN_PACKAGE_HOMEPAGE "http://ruben2020.github.io/codequery/")

include(CPack)

endif(UNIX)

=== showgraph/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.2.2)
 project(ShowGraph)
 
 #ADD_DEFINITIONS( -Wall )

=== debian/changelog ===
codequery (0.21.0+dfsg1-1) unstable; urgency=medium

  * Merge to unstable.
  * Bump Standards-Version to 4.0.0.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 20 Jun 2017 12:49:11 +0800

codequery (0.21.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 06 May 2017 22:44:01 +0800

codequery (0.20.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update copyright since upstream change its license to Mozilla Public
    License 2.0.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 10 Apr 2017 15:27:52 +0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libqscintilla2-dev,
                libsqlite3-dev,
                xmlto,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/ruben2020/codequery
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/codequery.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/codequery.git

=== debian/watch ===
# You must remove unused comment lines for the released package.
version=3
opts=dversionmangle=s/\+dfsg\d*//,repacksuffix=+dfsg1 \
https://github.com/ruben2020/codequery/releases .*/v([\d\.]*)\.tar.gz

## codequery 0.21.1%2Bdfsg1

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: devel
 Priority: optional
 Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
-Build-Depends: debhelper (>=9),
+Build-Depends: debhelper (>= 11),
                asciidoc,
                cmake,
                libqscintilla2-dev,
                libsqlite3-dev,
                xmlto,
-Standards-Version: 4.0.0
+Standards-Version: 4.2.1
 Homepage: https://github.com/ruben2020/codequery
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/codequery.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/codequery.git
+Vcs-Git: https://salsa.debian.org/debian/codequery.git
+Vcs-Browser: https://salsa.debian.org/debian/codequery
 
 Package: codequery
 Architecture: any

## codequery 0.21.1+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -50,7 +50,7 @@
   endif( CMAKE_SIZEOF_VOID_P EQUAL 8 )
 
 set( CPACK_GENERATOR "DEB;TGZ")
-set( CPACK_PACKAGE_VERSION  "0.21.0" )
+set( CPACK_PACKAGE_VERSION  "0.21.1" )
 set( CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}-Linux-${CPACK_DEBIAN_PACKAGE_ARCHITECTURE}" ) 
 set( CPACK_PACKAGE_DESCRIPTION_SUMMARY "Code understanding and searching tool")
 set( CPACK_PACKAGE_DESCRIPTION "Code understanding and searching tool")

=== cli/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.2.2)
 project(CodeQueryCLI)
 
 #add_definitions( -Wall )

=== gui/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.2.2)
 project(CodeQueryGUI)
 
 #ADD_DEFINITIONS( -Wall )
@@ -64,7 +64,12 @@
   )  
 
   add_definitions( -DNO_QDESIGNER_WIDGET_EXPORT )
-  
+
+  INCLUDE_DIRECTORIES( "../scintilla/qt/ScintillaEdit" )
+  INCLUDE_DIRECTORIES( "../scintilla/qt/ScintillaEditBase" )
+  INCLUDE_DIRECTORIES( "../scintilla/include" )
+  INCLUDE_DIRECTORIES( "../scintilla/src" )
+  INCLUDE_DIRECTORIES( "../scintilla/lexlib" )
   INCLUDE_DIRECTORIES( "${SQLITE_INCLUDE_DIR}" )
   INCLUDE_DIRECTORIES( "${CMAKE_CURRENT_BINARY_DIR}" )
   INCLUDE_DIRECTORIES( "." )
@@ -87,7 +92,6 @@
   FIND_PACKAGE( Qt5Concurrent REQUIRED )
   FIND_PACKAGE( Qt5Xml REQUIRED )
   FIND_PACKAGE( Qt5LinguistTools REQUIRED )
-  FIND_PACKAGE( Qt5QScintilla REQUIRED )
 
   add_definitions( -DUSE_QT5 )
 
@@ -124,15 +128,14 @@
   # we need this to be able to include headers produced by uic in our code
   # (CMAKE_BINARY_DIR holds a path to the build directory, while INCLUDE_DIRECTORIES() works just like INCLUDEPATH from qmake)
   INCLUDE_DIRECTORIES( "${Qt5Widgets_INCLUDE_DIRS}" )
-  INCLUDE_DIRECTORIES( "${QT5QSCINTILLA_INCLUDE_DIRS}" )
 
 if(WIN32)
   SET(CQ_WIN_RCS cqwin32.rc)
   add_executable( codequery WIN32 ${CODEQUERY_SRCS} ${CODEQUERY_MOC_SRCS} ${CODEQUERY_RC_SRCS} ${CODEQUERY_UI_HDRS} ${QM} ${CQ_WIN_RCS} )
-  target_link_libraries( codequery Qt5::Widgets Qt5::Concurrent Qt5::WinMain ${SQLITE_LIBRARIES} ${QT5QSCINTILLA_LIBRARIES} sqlquery_lib small_lib cqshowgraph-qt5)
+  target_link_libraries( codequery Qt5::Widgets Qt5::Concurrent Qt5::WinMain ${SQLITE_LIBRARIES} sqlquery_lib small_lib cqshowgraph-qt5 scintillaedit)
 else()
   add_executable( codequery ${CODEQUERY_SRCS} ${CODEQUERY_MOC_SRCS} ${CODEQUERY_RC_SRCS} ${CODEQUERY_UI_HDRS} ${QM} )
-  target_link_libraries( codequery Qt5::Widgets Qt5::Concurrent ${SQLITE_LIBRARIES} ${QT5QSCINTILLA_LIBRARIES} sqlquery_lib small_lib cqshowgraph-qt5)
+  target_link_libraries( codequery Qt5::Widgets Qt5::Concurrent ${SQLITE_LIBRARIES} sqlquery_lib small_lib cqshowgraph-qt5 scintillaedit)
 endif()
   
   install(TARGETS codequery RUNTIME DESTINATION bin)
@@ -149,7 +152,6 @@
   # this command finds Qt4 libraries and sets all required variables
   # note that it's Qt4, not QT4 or qt4
   FIND_PACKAGE( Qt4 REQUIRED )
-  FIND_PACKAGE( QScintilla REQUIRED )
   
   # add some useful macros and variables
   # (QT_USE_FILE is a variable defined by FIND_PACKAGE( Qt4 ) that contains a path to CMake script)
@@ -189,7 +191,7 @@
   add_executable( codequery ${CODEQUERY_SRCS} ${CODEQUERY_MOC_SRCS} ${CODEQUERY_RC_SRCS} ${CODEQUERY_UI_HDRS} ${QM} )
 endif()
 
-  target_link_libraries( codequery ${QT_LIBRARIES} ${SQLITE_LIBRARIES} ${QSCINTILLA_LIBRARIES} sqlquery_lib small_lib cqshowgraph)
+  target_link_libraries( codequery ${QT_LIBRARIES} ${SQLITE_LIBRARIES} sqlquery_lib small_lib cqshowgraph scintillaedit)
   
   install(TARGETS codequery RUNTIME DESTINATION bin)

=== makedb/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.2.2)
 project(CodeQueryDBMaker)
 
 #add_definitions( -Wall )

=== querylib/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-cmake_minimum_required(VERSION 2.8.12)
-project(CodeQuery)
+cmake_minimum_required(VERSION 3.2.2)
+project(CodeQueryLib)
 
 find_package(Sqlite REQUIRED)

=== scintilla/qt/ScintillaEdit/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2.2)
project(ScintillaEdit)


  SET(SCINTILLA_SRCS
    ScintillaEdit.cpp
    ScintillaDocument.cpp
    ../ScintillaEditBase/PlatQt.cpp
    ../ScintillaEditBase/ScintillaQt.cpp
    ../ScintillaEditBase/ScintillaEditBase.cpp
    ../../src/XPM.cxx
    ../../src/ViewStyle.cxx
    ../../src/UniConversion.cxx
    ../../src/Style.cxx
    ../../src/Selection.cxx
    ../../src/ScintillaBase.cxx
    ../../src/RunStyles.cxx
    ../../src/RESearch.cxx
    ../../src/PositionCache.cxx
    ../../src/PerLine.cxx
    ../../src/MarginView.cxx
    ../../src/LineMarker.cxx
    ../../src/KeyMap.cxx
    ../../src/Indicator.cxx
    ../../src/ExternalLexer.cxx
    ../../src/EditView.cxx
    ../../src/Editor.cxx
    ../../src/EditModel.cxx
    ../../src/Document.cxx
    ../../src/Decoration.cxx
    ../../src/ContractionState.cxx
    ../../src/CharClassify.cxx
    ../../src/CellBuffer.cxx
    ../../src/Catalogue.cxx
    ../../src/CaseFolder.cxx
    ../../src/CaseConvert.cxx
    ../../src/CallTip.cxx
    ../../src/AutoComplete.cxx
    ../../lexlib/WordList.cxx
    ../../lexlib/StyleContext.cxx
    ../../lexlib/PropSetSimple.cxx
    ../../lexlib/LexerSimple.cxx
    ../../lexlib/LexerNoExceptions.cxx
    ../../lexlib/LexerModule.cxx
    ../../lexlib/LexerBase.cxx
    ../../lexlib/CharacterSet.cxx
    ../../lexlib/CharacterCategory.cxx
    ../../lexlib/Accessor.cxx
    ../../lexers/LexA68k.cxx
    ../../lexers/LexAbaqus.cxx
    ../../lexers/LexAda.cxx
    ../../lexers/LexAPDL.cxx
    ../../lexers/LexAsm.cxx
    ../../lexers/LexAsn1.cxx
    ../../lexers/LexASY.cxx
    ../../lexers/LexAU3.cxx
    ../../lexers/LexAVE.cxx
    ../../lexers/LexAVS.cxx
    ../../lexers/LexBaan.cxx
    ../../lexers/LexBash.cxx
    ../../lexers/LexBasic.cxx
    ../../lexers/LexBatch.cxx
    ../../lexers/LexBibTeX.cxx
    ../../lexers/LexBullant.cxx
    ../../lexers/LexCaml.cxx
    ../../lexers/LexCLW.cxx
    ../../lexers/LexCmake.cxx
    ../../lexers/LexCOBOL.cxx
    ../../lexers/LexCoffeeScript.cxx
    ../../lexers/LexConf.cxx
    ../../lexers/LexCPP.cxx
    ../../lexers/LexCrontab.cxx
    ../../lexers/LexCsound.cxx
    ../../lexers/LexCSS.cxx
    ../../lexers/LexD.cxx
    ../../lexers/LexDiff.cxx
    ../../lexers/LexDMAP.cxx
    ../../lexers/LexDMIS.cxx
    ../../lexers/LexECL.cxx
    ../../lexers/LexEDIFACT.cxx
    ../../lexers/LexEiffel.cxx
    ../../lexers/LexErlang.cxx
    ../../lexers/LexErrorList.cxx
    ../../lexers/LexEScript.cxx
    ../../lexers/LexFlagship.cxx
    ../../lexers/LexForth.cxx
    ../../lexers/LexFortran.cxx
    ../../lexers/LexGAP.cxx
    ../../lexers/LexGui4Cli.cxx
    ../../lexers/LexHaskell.cxx
    ../../lexers/LexHex.cxx
    ../../lexers/LexHTML.cxx
    ../../lexers/LexIndent.cxx
    ../../lexers/LexInno.cxx
    ../../lexers/LexJSON.cxx
    ../../lexers/LexKix.cxx
    ../../lexers/LexKVIrc.cxx
    ../../lexers/LexLaTeX.cxx
    ../../lexers/LexLisp.cxx
    ../../lexers/LexLout.cxx
    ../../lexers/LexLua.cxx
    ../../lexers/LexMagik.cxx
    ../../lexers/LexMake.cxx
    ../../lexers/LexMarkdown.cxx
    ../../lexers/LexMatlab.cxx
    ../../lexers/LexMetapost.cxx
    ../../lexers/LexMMIXAL.cxx
    ../../lexers/LexModula.cxx
    ../../lexers/LexMPT.cxx
    ../../lexers/LexMSSQL.cxx
    ../../lexers/LexMySQL.cxx
    ../../lexers/LexNimrod.cxx
    ../../lexers/LexNsis.cxx
    ../../lexers/LexNull.cxx
    ../../lexers/LexOpal.cxx
    ../../lexers/LexOScript.cxx
    ../../lexers/LexPascal.cxx
    ../../lexers/LexPB.cxx
    ../../lexers/LexPerl.cxx
    ../../lexers/LexPLM.cxx
    ../../lexers/LexPO.cxx
    ../../lexers/LexPOV.cxx
    ../../lexers/LexPowerPro.cxx
    ../../lexers/LexPowerShell.cxx
    ../../lexers/LexProgress.cxx
    ../../lexers/LexProps.cxx
    ../../lexers/LexPS.cxx
    ../../lexers/LexPython.cxx
    ../../lexers/LexR.cxx
    ../../lexers/LexRebol.cxx
    ../../lexers/LexRegistry.cxx
    ../../lexers/LexRuby.cxx
    ../../lexers/LexRust.cxx
    ../../lexers/LexScriptol.cxx
    ../../lexers/LexSmalltalk.cxx
    ../../lexers/LexSML.cxx
    ../../lexers/LexSorcus.cxx
    ../../lexers/LexSpecman.cxx
    ../../lexers/LexSpice.cxx
    ../../lexers/LexSQL.cxx
    ../../lexers/LexSTTXT.cxx
    ../../lexers/LexTACL.cxx
    ../../lexers/LexTADS3.cxx
    ../../lexers/LexTAL.cxx
    ../../lexers/LexTCL.cxx
    ../../lexers/LexTCMD.cxx
    ../../lexers/LexTeX.cxx
    ../../lexers/LexTxt2tags.cxx
    ../../lexers/LexVB.cxx
    ../../lexers/LexVerilog.cxx
    ../../lexers/LexVHDL.cxx
    ../../lexers/LexVisualProlog.cxx
    ../../lexers/LexYAML.cxx
  )

  
  SET( SCINTILLA_MOC_HDRS
    ScintillaEdit.h
    ScintillaDocument.h
    ../ScintillaEditBase/ScintillaEditBase.h
    ../ScintillaEditBase/ScintillaQt.h
  )

  INCLUDE_DIRECTORIES( "../ScintillaEditBase" )
  INCLUDE_DIRECTORIES( "../../include" )
  INCLUDE_DIRECTORIES( "../../src" )
  INCLUDE_DIRECTORIES( "../../lexlib" )
  INCLUDE_DIRECTORIES( "${CMAKE_CURRENT_BINARY_DIR}" )
  INCLUDE_DIRECTORIES( "." )
  INCLUDE_DIRECTORIES( "/usr/local/include" )

  add_definitions( -DSCINTILLA_QT=1 -DSCI_LEXER=1 -D_CRT_SECURE_NO_DEPRECATE=1 -DSTATIC_BUILD=1 )


if (BUILD_QT5)

  FIND_PACKAGE( Qt5Widgets 5.2.1 REQUIRED )
  FIND_PACKAGE( Qt5Core REQUIRED )
  FIND_PACKAGE( Qt5Concurrent REQUIRED )

  set_target_properties(Qt5::Core PROPERTIES MAP_IMPORTED_CONFIG_COVERAGE "RELEASE")
  
  SET(CMAKE_AUTOMOC ON)
  SET(CMAKE_INCLUDE_CURRENT_DIR ON)

  INCLUDE_DIRECTORIES( "${Qt5Widgets_INCLUDE_DIRS}" )

  add_library( scintillaedit STATIC ${SCINTILLA_SRCS} ${SCINTILLA_MOC_SRCS} )
  target_link_libraries( scintillaedit Qt5::Widgets Qt5::Concurrent )

else (BUILD_QT5)
 
  SET( QT_DONT_USE_QTGUI FALSE )
  
  FIND_PACKAGE( Qt4 REQUIRED )
  
  INCLUDE( "${QT_USE_FILE}" )

  QT4_WRAP_CPP( SCINTILLA_MOC_SRCS ${SCINTILLA_MOC_HDRS} )


  add_library( scintillaedit STATIC ${SCINTILLA_SRCS} ${SCINTILLA_MOC_SRCS} )
  target_link_libraries( scintillaedit ${QT_LIBRARIES} )

endif (BUILD_QT5)

=== debian/changelog ===
codequery (0.21.1+dfsg1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to Qt5, thanks to Reiner Herrmann (Closes: #874855)
  * Update Qscintilla build dep, thanks to Reiner Herrmann (Closes: #886193)

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 24 Sep 2019 21:00:25 +0200

codequery (0.21.1+dfsg1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream release.
  * Bump Standards-Version to 4.2.1.
  * Bump compat to 11.
  * Update Vcs-* fields to salsa.debian.org.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 31 Oct 2018 14:51:35 +0800

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,10 @@
 Build-Depends: debhelper (>= 11),
                asciidoc,
                cmake,
-               libqscintilla2-dev,
+               libqscintilla2-qt5-dev,
                libsqlite3-dev,
+               qtbase5-dev,
+               qttools5-dev,
                xmlto,
 Standards-Version: 4.2.1
 Homepage: https://github.com/ruben2020/codequery

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	cat debian/*manpages | sed 's/$$/.txt/p' | xargs -n 1 a2x --attribute=footer-style=none --doctype manpage --format manpage
	perl -pi -e 's/build/obj-$(DEB_HOST_GNU_TYPE)/' gui/codequery.qrc
	dh_auto_configure -- -DBUILD_QT5=YES

override_dh_clean:
	dh_clean
	perl -pi -e 's/obj-$(DEB_HOST_GNU_TYPE)/build/' gui/codequery.qrc
